"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const fields_1 = require("./fields");
describe(`common-error-fields - fields`, () => {
    describe('QUASI_STANDARD_ERROR_FIELDS', () => {
        it('should be healthy', () => {
            chai_1.expect(fields_1.QUASI_STANDARD_ERROR_FIELDS.has('message')).to.be.true;
            chai_1.expect(fields_1.QUASI_STANDARD_ERROR_FIELDS.has('name')).to.be.true;
            chai_1.expect(fields_1.QUASI_STANDARD_ERROR_FIELDS.has('stack')).to.be.true;
        });
    });
    describe('COMMON_ERROR_FIELDS', () => {
        it('should contain the standard error fields', () => {
            for (let field of fields_1.QUASI_STANDARD_ERROR_FIELDS.keys()) {
                chai_1.expect(fields_1.QUASI_STANDARD_ERROR_FIELDS.has(field)).to.be.true;
                chai_1.expect(fields_1.COMMON_ERROR_FIELDS.has(field)).to.be.true;
            }
        });
        it('should contain extra fields', () => {
            //console.log(COMMON_ERROR_FIELDS)
            chai_1.expect(fields_1.COMMON_ERROR_FIELDS.size).to.be.above(fields_1.QUASI_STANDARD_ERROR_FIELDS.size);
        });
    });
});
//# sourceMappingURL=fields_spec.js.map