export const STRICT_STANDARD_ERROR_FIELDS = new Set([
    // standard fields
    // https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Error/prototype
    'name',
    'message',
]);
export const QUASI_STANDARD_ERROR_FIELDS = new Set([
    // first inherit from previous
    // conv to array needed due to a babel bug 😢
    ...Array.from(STRICT_STANDARD_ERROR_FIELDS),
    // quasi-standard: followed by all browsers + node
    // https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Error/prototype
    'stack',
]);
export const COMMON_ERROR_FIELDS = new Set([
    // first inherit from previous
    // conv to array needed due to a babel bug 😢
    ...Array.from(QUASI_STANDARD_ERROR_FIELDS),
    // standard in node only:
    'code',
    // https://nodejs.org/dist/latest/docs/api/errors.html#errors_node_js_error_codes
    // non standard but widely used:
    'statusCode',
    'shouldRedirect',
    'framesToPop',
]);
export const COMMON_ERROR_FIELDS_EXTENDED = new Set([
    // first inherit from previous
    // conv to array needed due to a babel bug 😢
    ...Array.from(COMMON_ERROR_FIELDS),
    // My (Offirmo) extensions:
    '_temp',
    'details',
]);
//# sourceMappingURL=fields.js.map